org.apache.fontbox.cff

## Class CharStringHandler

- java.lang.Object
- - org.apache.fontbox.cff.CharStringHandler

    public abstract class CharStringHandler
    extends Object

A Handler for CharStringCommands.

Author:
  Villu Ruusmann, John Hewson

### Constructor Summary

Constructors
Constructor and Description
`CharStringHandler()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract List<Number>` `handleCommand(List<Number> numbers, CharStringCommand command)` Handler for CharStringCommands.
`List<Number>` `handleSequence(List<Object> sequence)` Handler for a sequence of CharStringCommands.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CharStringHandler

    public CharStringHandler()

### Method Detail

#### handleSequence

    public List<Number> handleSequence(List<Object> sequence)

Handler for a sequence of CharStringCommands.

Parameters:
  `sequence` - of CharStringCommands

#### handleCommand

    public abstract List<Number> handleCommand(List<Number> numbers,
                                               CharStringCommand command)

Handler for CharStringCommands.

Parameters:
  `numbers` - a list of numbers
  `command` - the CharStringCommand